TSSXTEND Gets U0003 User Abend Code.

Document ID : KB000022929
Last Modified Date : 14/02/2018
Show Technical Document Details

Description:

Running with a CA Top Secret release above r8.0, the TSSXTEND gets U0003 abend code when using a pre-5.2 Security File.

Solution:

A pre 5.2 CA Top Secret Security File is not supported under CA Top Secret r8.0 or higher.

Please see QI63294 Information APAR, which came out with CA Top Secret r8.0 release, but still applies:

Title: PRE-r5.2 FORMATTED SECURITY FILE IS INCORRECTLY ACTIVATED

PROBLEM DESCRIPTION:

The eTrust CA-Top Secret r8 Product Maintenance Letter (PML QI62805) states that a pre-r5.2 formatted security file cannot be used in conjunction with eTrust CA-Top Secret r8.

In the event a pre-r5.2 formatted security file is incorrectly activated under eTrust CA-Top Secret r8, the file will no longer be usable.
Subsequent IPL(s) will generate the following error messages during TSS:

                                                                           
TSS9015E ERROR 47 DURING SECURITY FILE INITIALIZATION                      
TSS9680A CA-TSS MAINTASK MANAGER ABEND S0C4 IN TSSMNGR                     
TSS9680A CA-TSS MAINTASK MANAGER ABEND S0C1 IN PROGRAM UNKNOWN             

Use a 5.3 or higher version of TSSMAINT and TSSXTEND to upgrade the CA Top Secret Security file.

Please see QI63294, which documents how to determine your version of the Security File by dumping the Security File HEADER information using the TSSFAR utility.